#
# spec file for package friture
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           friture
Version:        0.12
Release:        2.6
Summary:        Real-time visualization of live audio data
License:        GPL-3.0
Group:          Development/Languages/Python
Url:            http://www.friture.org
Source:         https://files.pythonhosted.org/packages/source/f/friture/friture-%{version}.tar.gz
BuildRequires:  python-Cython
BuildRequires:  python-PyAudio
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-opengl
BuildRequires:  python-qt4-devel
BuildRequires:  python-qwt5-devel
BuildRequires:  python-scipy
Requires:       python-PyAudio
Requires:       python-numpy
Requires:       python-opengl
Requires:       python-qt4
Requires:       python-qwt5
Requires:       python-scipy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
**Friture** is an application to visualize and analyze live audio
data in real-time.

Friture displays audio data in several widgets, such as a scope, a
spectrum analyzer, or a rolling 2D spectrogram.

This program can be useful to analyze and equalize the audio response
of a hall, or for educational purposes, etc.

The name *Friture* is a french word for *frying*, also used for
*noise* in a sound.

%prep
%setup -q -n friture-%{version}
sed -i 's/\r$//' friture.py
sed -i 's/\r$//' scripts/friture
sed -i 's/\r$//' *.txt
sed -i 's/\r$//' *.rst
sed -i 's/\r$//' friture/*.py
sed -i "s|#!/usr/bin/env python||" friture/*.py
sed -i "s|#!/usr/bin/env python|#!%{_bindir}/python2|" friture.py
sed -i "s|#!/usr/bin/env python|#!%{_bindir}/python2|" scripts/*

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.rst TODO.txt
%{_bindir}/friture
%{python_sitearch}/friture/
%{python_sitearch}/friture-%{version}-py*.egg-info

%changelog
* Thu Aug  3 2017 toddrme2178@gmail.com
- Fix shebangs
* Mon Jul 14 2014 toddrme2178@gmail.com
- - Initial version
